std::recursive_mutex(3cxx)

NAME
std::recursive_mutex - The standard recursive mutex type.

SYNOPSIS

#include <mutex>

Inherits std::__recursive_mutex_base.

  Public Types

typedef __native_type * native_handle_type

  Public Member Functions

recursive_mutex (const recursive_mutex &)=delete
void lock ()
native_handle_type native_handle () noexcept
recursive_mutex & operator= (const recursive_mutex &)=delete
bool try_lock () noexcept
void unlock ()

Detailed Description

The standard recursive mutex type.

Definition at line 92 of file mutex.

Member Typedef Documentation

  typedef __native_type* std::recursive_mutex::native_handle_type

Definition at line 95 of file mutex.

Member Function Documentation

  void std::recursive_mutex::lock () [inline]

Definition at line 104 of file mutex.

  native_handle_type std::recursive_mutex::native_handle () [inline], [noexcept]

Definition at line 128 of file mutex.

  bool std::recursive_mutex::try_lock () [inline], [noexcept]

Definition at line 114 of file mutex.

  void std::recursive_mutex::unlock () [inline]

Definition at line 121 of file mutex.

Author

Generated automatically by Doxygen for libstdc++ from the source code.